Budgets
Budgets entities and endpoints of the Amplify API.
Budget objects represent an amount of money to be spent via the Amplify platform. A single Budget may be shared among Campaigns (also known as a "shared budget"), though it is more common to have just one Campaign per Budget.
For convenience, Budget objects are often embedded inside the Campaign objects.
Budget
The Budget object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| id | String | The id of this Budget. read-only | "00f4b02153ee75f3c9dc4fc128ab041962" |
| name | String | The name of this Budget. | "First quarter budget" |
| shared | Boolean | Whether the Budget is shared between Campaigns, provided for convenience based on the number of Campaigns associated to this Budget. read-only | true |
| amount | Money | The monetary amount of this Budget | 2000.00 |
| currency | String | The currency denomination applied to the budget amount read-only | "USD" |
| amountRemaining | Money | The unspent monetary amount remaining on this Budget. read-only | 150.00 |
| amountSpent | Money | The spent monetary amount of this Budget. read-only | 1850.00 |
| creationTime | Time | The time when this Budget was created. read-only | "2013-01-14 07:19:16" |
| lastModified | Time | The last modification date of this Budget. read-only | "2014-01-15 12:24:01" |
| startDate | Date | The date this Budget is scheduled to begin spending. | "2014-01-15" |
| endDate | Date | The date this Budget is scheduled to stop spending. If runForever is true this will not be used. | "2014-01-17" |
| runForever | Boolean | Designates whether the budged has an end date In case of true, 'endDate' attribute will not be part of the Budgets' attributes. | true |
| type | Budget Type | Controls on which period the Budget refreshes | "MONTHLY" |
| pacing | Pacing Type | Controls how fast the Budget will be spent | "AUTOMATIC" |
| dailyTarget | Money | The maximum amount of spend that is allowed per day. Relevant for DAILY_TARGET pacing. | 100.00 |
| maximumAmount | Money | The maximum amount allowed if defined read-only | 100.00 |
Endpoints
- Retrieve a single Budget —
GET /budgets/{id} - Update an existing Budget —
PUT /budgets/{id} - Delete an existing Budget —
DELETE /budgets/{id}
Budgets Collection
Retrieve a collection of all Budgets for the specified Marketer.
The Budgets Collection resource has the following attributes:
- count - Number of Budgets found for this Marketer
- budgets - Array of budget objects
Endpoints
- List Budgets for a Marketer —
GET /marketers/{id}/budgets - Create a Budget for a Marketer —
POST /marketers/{id}/budgets